/*
 * Copyright 2010 Trustees of the University of Pennsylvania Licensed under the
 * Educational Community License, Version 2.0 (the "License"); you may
 * not use this file except in compliance with the License. You may
 * obtain a copy of the License at
 *
 * http://www.osedu.org/licenses/ECL-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an "AS IS"
 * BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing
 * permissions and limitations under the License.
 */
package metridoc.workflows.normalization

import javax.sql.DataSource
import metridoc.plugins.sql.SqlPlus

/**
 * Created by IntelliJ IDEA.
 * User: tbarker
 * Date: 2/22/12
 * Time: 3:13 PM
 */
class SqlNormalizer extends Script {
    DataSource dataSource
    String sourceTable
    Destination destination
    
    @Override
    Object run() {
		SqlPlus sqlPlus = new SqlPlus(dataSource);
		sqlPlus.bulkInsertNoDup(sourceTable, destination.table, destination.key, destination.columns) 
		return null;
    }
}

class Destination {
    List<String> columns
    String key
    String table
}
